Skip to main content
GET
/
filesystem-content-search
/
{path}
Search for text content in files
curl --request GET \
  --url https://sbx-{sandbox_id}-{workspace_id}.{region}.bl.run/filesystem-content-search/{path} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://sbx-{sandbox_id}-{workspace_id}.{region}.bl.run/filesystem-content-search/{path}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://sbx-{sandbox_id}-{workspace_id}.{region}.bl.run/filesystem-content-search/{path}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "matches": [
    {
      "column": 10,
      "line": 42,
      "path": "src/main.go",
      "text": "const searchText = 'example'",
      "context": "previous line\ncurrent line\nnext line"
    }
  ],
  "query": "searchText",
  "total": 5
}
{
"error": "Error message"
}
{
"error": "Error message"
}
{
"error": "Error message"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

path
string
required

Directory path to search in

Query Parameters

query
string
required

Text to search for

caseSensitive
boolean

Case sensitive search (default: false)

maxResults
integer

Maximum number of results to return (default: 100)

filePattern
string

File pattern to include (e.g., *.go)

excludeDirs
string

Comma-separated directory names to skip (default: node_modules,vendor,.git,dist,build,target,pycache,.venv,.next,coverage)

Response

Content search results

matches
object[]
required
query
string
required
Example:

"searchText"

total
integer
required
Example:

5

Last modified on June 17, 2026